<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'roonix' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'roonix' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'roonix' ),
				'e' => esc_html__( 'Elementor', 'roonix' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'roonix' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'header_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'header_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Settings', 'roonix' ),
			'required' => array( 'header_source_type', '=', 'd' ),
		),

		//Header Settings
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'roonix' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'roonix' ),
		    'options'  => array(

			    'header_v1'  => array(
				    'alt' => esc_html__( 'Header Style 1', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v1.png',
			    ),
				'header_v2'  => array(
				    'alt' => esc_html__( 'Header Style 2', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v2.png',
			    ),
				'header_v3'  => array(
				    'alt' => esc_html__( 'Header Style 3', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v3.png',
			    ),
				'header_v4'  => array(
				    'alt' => esc_html__( 'Header Style 4', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v4.png',
			    ),
				'header_v5'  => array(
				    'alt' => esc_html__( 'Header Style 5', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v5.png',
			    ),
				'header_v6'  => array(
				    'alt' => esc_html__( 'Header Style 6', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v6.png',
			    ),
				'header_v7'  => array(
				    'alt' => esc_html__( 'Header Style 7', 'roonix' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v7.png',
			    ),
			    
			),
			'required' => array( 'header_source_type', '=', 'd' ),
			'default' => 'header_v6',
	    ),

		
		
		/***********************************************************************
								Header Version 1 Start
		************************************************************************/
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style One Settings', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
		),
		array(
            'id' => 'show_search_switcher_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
            'id' => 'show_sidebar_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Sidebar', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'title_v2',
			'type'    => 'text',
			'title'   => __( 'Title V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'text_v2',
			'type'    => 'textarea',
			'title'   => __( 'Text V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'button_title_v2',
			'type'    => 'text',
			'title'   => __( 'Button Title V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'button_link_v2',
			'type'    => 'text',
			'title'   => __( 'Button Link V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'contact_title_v2',
			'type'    => 'text',
			'title'   => __( 'Contact Title V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'address_v2',
			'type'    => 'text',
			'title'   => __( 'Address V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'phone_v2',
			'type'    => 'text',
			'title'   => __( 'Phone No V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'email_v2',
			'type'    => 'text',
			'title'   => __( 'Email V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
			'id'      => 'closing_hour_v2',
			'type'    => 'text',
			'title'   => __( 'Closing Hours V2', 'roonix' ),
			'required' => array( 'show_sidebar_v2', '=', true ),
		),
		array(
            'id'    => 'header_v2_social_share',
            'type'  => 'social_media',
            'title' => esc_html__( 'Social Media', 'roonix' ),
            'required' => array( 'show_sidebar_v2', '=', true ),
        ),
		
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Two Settings', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
		array(
            'id' => 'show_search_switcher_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
            'id' => 'show_sidebar_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Sidebar', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'title_v3',
			'type'    => 'text',
			'title'   => __( 'Title V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'text_v3',
			'type'    => 'textarea',
			'title'   => __( 'Text V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'button_title_v3',
			'type'    => 'text',
			'title'   => __( 'Button Title V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'button_link_v3',
			'type'    => 'text',
			'title'   => __( 'Button Link V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'contact_title_v3',
			'type'    => 'text',
			'title'   => __( 'Contact Title V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'address_v3',
			'type'    => 'text',
			'title'   => __( 'Address V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'phone_v3',
			'type'    => 'text',
			'title'   => __( 'Phone No V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'email_v3',
			'type'    => 'text',
			'title'   => __( 'Email V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
			'id'      => 'closing_hour_v3',
			'type'    => 'text',
			'title'   => __( 'Closing Hours V3', 'roonix' ),
			'required' => array( 'show_sidebar_v3', '=', true ),
		),
		array(
            'id'    => 'header_v3_social_share',
            'type'  => 'social_media',
            'title' => esc_html__( 'Social Media', 'roonix' ),
            'required' => array( 'show_sidebar_v3', '=', true ),
        ),
		
		/***********************************************************************
								Header Version 3 Start
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Three Settings', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
		array(
            'id' => 'show_search_switcher_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
            'id' => 'show_sidebar_v4',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Sidebar', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
			'id'      => 'title_v4',
			'type'    => 'text',
			'title'   => __( 'Title V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'text_v4',
			'type'    => 'textarea',
			'title'   => __( 'Text V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'button_title_v4',
			'type'    => 'text',
			'title'   => __( 'Button Title V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'button_link_v4',
			'type'    => 'text',
			'title'   => __( 'Button Link V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'contact_title_v4',
			'type'    => 'text',
			'title'   => __( 'Contact Title V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'address_v4',
			'type'    => 'text',
			'title'   => __( 'Address V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'phone_v4',
			'type'    => 'text',
			'title'   => __( 'Phone No V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'email_v4',
			'type'    => 'text',
			'title'   => __( 'Email V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
			'id'      => 'closing_hour_v4',
			'type'    => 'text',
			'title'   => __( 'Closing Hours V4', 'roonix' ),
			'required' => array( 'show_sidebar_v4', '=', true ),
		),
		array(
            'id'    => 'header_v4_social_share',
            'type'  => 'social_media',
            'title' => esc_html__( 'Social Media', 'roonix' ),
            'required' => array( 'show_sidebar_v4', '=', true ),
        ),
		
		/***********************************************************************
								Header Version 4 Start
		************************************************************************/
		array(
			'id'       => 'header_v4_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Four Settings', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v4' ),
		),
		array(
            'id' => 'show_search_switcher_v5',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		array(
            'id' => 'show_sidebar_v5',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Sidebar', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v4' ),
        ),
		array(
			'id'      => 'title_v5',
			'type'    => 'text',
			'title'   => __( 'Title V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'text_v5',
			'type'    => 'textarea',
			'title'   => __( 'Text V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'button_title_v5',
			'type'    => 'text',
			'title'   => __( 'Button Title V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'button_link_v5',
			'type'    => 'text',
			'title'   => __( 'Button Link V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'contact_title_v5',
			'type'    => 'text',
			'title'   => __( 'Contact Title V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'address_v5',
			'type'    => 'text',
			'title'   => __( 'Address V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'phone_v5',
			'type'    => 'text',
			'title'   => __( 'Phone No V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'email_v5',
			'type'    => 'text',
			'title'   => __( 'Email V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
			'id'      => 'closing_hour_v5',
			'type'    => 'text',
			'title'   => __( 'Closing Hours V5', 'roonix' ),
			'required' => array( 'show_sidebar_v5', '=', true ),
		),
		array(
            'id'    => 'header_v5_social_share',
            'type'  => 'social_media',
            'title' => esc_html__( 'Social Media', 'roonix' ),
            'required' => array( 'show_sidebar_v5', '=', true ),
        ),
		
		/***********************************************************************
								Header Version 5 Start
		************************************************************************/
		array(
			'id'       => 'header_v5_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Five Settings', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v5' ),
		),
		array(
            'id' => 'show_search_switcher_v6',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v5' ),
        ),
		array(
            'id' => 'show_sidebar_v6',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Sidebar', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v5' ),
        ),
		array(
			'id'      => 'title_v6',
			'type'    => 'text',
			'title'   => __( 'Title V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'text_v6',
			'type'    => 'textarea',
			'title'   => __( 'Text V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'button_title_v6',
			'type'    => 'text',
			'title'   => __( 'Button Title V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'button_link_v6',
			'type'    => 'text',
			'title'   => __( 'Button Link V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'contact_title_v6',
			'type'    => 'text',
			'title'   => __( 'Contact Title V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'address_v6',
			'type'    => 'text',
			'title'   => __( 'Address V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'phone_v6',
			'type'    => 'text',
			'title'   => __( 'Phone No V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'email_v6',
			'type'    => 'text',
			'title'   => __( 'Email V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
			'id'      => 'closing_hour_v6',
			'type'    => 'text',
			'title'   => __( 'Closing Hours V6', 'roonix' ),
			'required' => array( 'show_sidebar_v6', '=', true ),
		),
		array(
            'id'    => 'header_v6_social_share',
            'type'  => 'social_media',
            'title' => esc_html__( 'Social Media', 'roonix' ),
            'required' => array( 'show_sidebar_v6', '=', true ),
        ),
		
		/***********************************************************************
								Header Version 6 Start
		************************************************************************/
		array(
			'id'       => 'header_v6_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Six Settings', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v6' ),
		),
		array(
            'id' => 'show_search_switcher_v7',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Icon', 'roonix'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v6' ),
        ),
		array(
			'id'      => 'button_title_v7',
			'type'    => 'text',
			'title'   => __( 'Button Title V7', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v6' ),
		),
		array(
			'id'      => 'button_link_v7',
			'type'    => 'text',
			'title'   => __( 'Button Link V7', 'roonix' ),
			'required' => array( 'header_style_settings', '=', 'header_v6' ),
		),
		
		array(
			'id'       => 'header_style_section_end',
			'type'     => 'section',
			'indent'      => false,
			'required' => [ 'header_source_type', '=', 'd' ],
		),
	),
);
