<?php
return array(
	'title'      => esc_html__( 'Logo Setting', 'roonix' ),
	'id'         => 'logo_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'       => 'image_favicon',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Favicon', 'roonix' ),
			'subtitle' => esc_html__( 'Insert site favicon image', 'roonix' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/favicon/apple-touch-icon.png' ),
		),
		
		//Home One Header Logo
		array(
            'id' => 'normal_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Normal Logo', 'roonix'),
            'default' => false,
        ),
		array(
			'id'       => 'image_normal_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Normal Logo Image', 'roonix' ),
			'subtitle' => esc_html__( 'Insert site Normal logo image', 'roonix' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
			'id'       => 'normal_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Normal Logo Dimentions', 'roonix' ),
			'subtitle' => esc_html__( 'Select Normal Logo Dimentions', 'roonix' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
            'id' => 'normal_logo_show2',
            'type' => 'switch',
            'title' => esc_html__('Enable Normal Logo 02', 'roonix'),
            'default' => false,
        ),
		array(
			'id'       => 'image_normal_logo2',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Normal Logo Image 02', 'roonix' ),
			'subtitle' => esc_html__( 'Insert site Normal logo image', 'roonix' ),
			'required' => array( 'normal_logo_show2', '=', true ),
		),
		array(
			'id'       => 'normal_logo_dimension2',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Normal Logo Dimentions 02', 'roonix' ),
			'subtitle' => esc_html__( 'Select Normal Logo Dimentions', 'roonix' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'normal_logo_show2', '=', true ),
		),
		array(
            'id' => 'small_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Small Logo', 'roonix'),
            'default' => false,
        ),
		array(
			'id'       => 'image_small_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Small Logo Image', 'roonix' ),
			'subtitle' => esc_html__( 'Insert site Small logo image', 'roonix' ),
			'required' => array( 'small_logo_show', '=', true ),
		),
		array(
			'id'       => 'small_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Small Logo Dimentions', 'roonix' ),
			'subtitle' => esc_html__( 'Select Small Logo Dimentions', 'roonix' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'small_logo_show', '=', true ),
		),
		array(
            'id' => 'mobile_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Mobile Logo', 'roonix'),
            'default' => false,
        ),
		array(
			'id'       => 'image_mobile_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Mobile Logo Image', 'roonix' ),
			'subtitle' => esc_html__( 'Insert site Mobile logo image', 'roonix' ),
			'required' => array( 'mobile_logo_show', '=', true ),
		),
		array(
			'id'       => 'mobile_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Mobile Logo Dimentions', 'roonix' ),
			'subtitle' => esc_html__( 'Select Mobile Logo Dimentions', 'roonix' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'mobile_logo_show', '=', true ),
		),
		array(
            'id' => 'sidebar_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Sidebar Logo', 'roonix'),
            'default' => false,
        ),
		array(
			'id'       => 'image_sidebar_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Sidebar Logo Image', 'roonix' ),
			'subtitle' => esc_html__( 'Insert site Sidebar logo image', 'roonix' ),
			'required' => array( 'sidebar_logo_show', '=', true ),
		),
		array(
			'id'       => 'sidebar_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Sidebar Logo Dimentions', 'roonix' ),
			'subtitle' => esc_html__( 'Select Sidebar Logo Dimentions', 'roonix' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'sidebar_logo_show', '=', true ),
		),
		
		array(
			'id'       => 'logo_settings_section_end',
			'type'     => 'section',
			'indent'      => false,
		),
	),
);
